# Class CitationType

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

The types of citations that can be returned by the Anthropic API.

    public static class CitationType

Inheritance
  object
  CitationType

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Fields

### CharacterLocation

A citation that refers to a specific character in the text.

    public const string CharacterLocation = "char_location"

#### Field Value

string

### ContentBlockLocation

A citation that refers to a specific section in the text.

    public const string ContentBlockLocation = "content_block_location"

#### Field Value

string

### PageLocation

A citation that refers to a specific page in the text.

    public const string PageLocation = "page_location"

#### Field Value

string